Subject: Re: bug#5076: 23.1.50; gdb weird breakpoint problem

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 02 Dec 2009 02:26:20 -0500

So, should I be reporting a bug to the GDB maintainers, or have you
already done so?

[email-masked] (Nick Roberts) writes:

> Yes.  I think it will also happen with a more simple program/recipe too.
> By default Emacs uses GDB's non-stop mode but I think it has some bugs.
> Look at this:
>
> #include <stdio.h>
>
> int main() {
>   printf ("Hello World\n");
> }
>
>
> ...
> This GDB was configured as "x86_64-unknown-linux-gnu".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> Reading symbols from /home/nickrob/bar...done.
> (gdb) set target-async 1
> (gdb) set pagination off
> (gdb) set non-stop on
> (gdb) r
> Starting program: /home/nickrob/bar 
> Hello World
>
> Program exited with code 014.
> (gdb) start
> Temporary breakpoint 1 at 0x400514: file bar.c, line 4.
> Starting program: /home/nickrob/bar 
>
> Temporary breakpoint 1, main () at bar.c:4
> 4	  printf ("Hello World\n");
> (gdb) n
> Hello World
> 5	}
> (gdb) n
>
> Program received signal SIGSEGV, Segmentation fault.
> main () at bar.c:5
> 5	}

-- 
Michael Welsh Duggan
([email-masked])